# Method: quotas.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.ListMethodQuotasResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#body.aspect)
- [MethodQuota](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#MethodQuota)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#MethodQuota.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#try-it)

Lists the daily call quota and usage per method for your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/quotas`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that has quota. This account must be an admin. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of quotas to return in the response, used for paging. Defaults to 500; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the quotas.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "methodQuotas": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#MethodQuota`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `methodQuotas[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/quotas/list#MethodQuota`)`` The current quota usage and limits per each method. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## MethodQuota

The quota information per method in the Content API.

| JSON representation |
|---|
| ``` { "method": string, "quotaUsage": string, "quotaLimit": string, "quotaMinuteLimit": string } ``` |

| Fields ||
|---|---|
| `method` | `string` Output only. The method name, for example `products.list`. Method name does not contain version because quota can be shared between different API versions of the same method. |
| `quotaUsage` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The current quota usage, meaning the number of calls already made to the method per day. Usage is reset every day at 12 PM midday UTC. |
| `quotaLimit` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum number of calls allowed per day for the method. |
| `quotaMinuteLimit` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum number of calls allowed per minute for the method. |